# Bitbucket hardcodes commit hash even in tag tarballs...
%define tarname JohnGabrielUK-fire-and-fondness-2
%define commit  80914afa9b4e

Name:           fire-and-fondness-2
Version:        1.0.0
Release:        %mkrel 4
Summary:        A puzzle game featuring romance, explosions, and daytime television
Group:          Games/Puzzles
License:        GPL-3.0 and CC-BY 4.0
URL:            https://johngabrieluk.itch.io/fire-and-fondness-enhanced-edition
Source0:        https://bitbucket.org/JohnGabrielUK/fire-and-fondness/get/%{version}.tar.bz2#/%{tarname}-%{commit}.tar.bz2
Patch0:         fire-and-fondness-2-fix-typo.patch

BuildArch:      noarch
BuildRequires:  godot3-headless
Requires:       godot3-runner

%description
Daytime television just got hot: in the hit gameshow, Fire & Fondness, young
lovers put their relationships to the test in the ultimate courtship ritual:
attempting to navigate a succession of convoluted, flamethrower-filled
deathtraps.

Our lawyers are advising us to clarify that the fire is fake. As are the
teleporters. But the relationships are real! (Probably.)

%prep
%autosetup -p1 -n %{tarname}-%{commit}

%build
cd game
godot3-headless --export-pack "Linux/X11" %{name}.pck

%install
cd game
install -D -m644 %{name}.pck %{buildroot}%{_gamesdatadir}/%{name}/%{name}.pck

cat << EOF > %{name}.sh
#!/bin/sh
GAMENAME=%{name}
GAMEDIR=%{_gamesdatadir}/\${GAMENAME}
exec godot3-runner --path \${GAMEDIR} --main-pack \${GAMEDIR}/\${GAMENAME}.pck "$@"
EOF
install -D -m755 %{name}.sh %{buildroot}%{_gamesbindir}/%{name}

install -D -m644 icon.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png
install -D -m644 icon_small.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Fire and Fondness 2
GenericName=Turn-based puzzle game
Comment=A puzzle game featuring romance, explosions, and daytime television
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;LogicGame;
EOF

%files
%doc README
%license LICENSE.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.0.0-4.mga10
+ Revision: 2218018
- Mageia 10 Mass Rebuild

* Sat Mar 04 2023 akien <akien> 1.0.0-3.mga9
+ Revision: 1947506
- Adapt requires and script for godot3 package

* Thu Mar 24 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1825443
- Mageia 9 Mass Rebuild

* Wed Oct 21 2020 akien <akien> 1.0.0-1.mga8
+ Revision: 1637578
- imported package fire-and-fondness-2

